homepage/urls.py
from django.urls import path
from . import views
#from .views import Join, sched_delete

app_name = 'homepage'

urlpatterns = [
    path('', views.Story3, name='Story3'),
    path('kenaldekat/', views.kenaldekat, name='kenaldekat'),
    path('skill/', views.halskill, name='halskill'),
    path('rpendidikan/', views.halrp, name='halrp'),
    path('hobi/', views.halhobi, name='halhobi'),
    path('pengalaman/', views.halpengalaman, name='halpengalaman'),
    path('kontak/', views.halkontak, name='halkontak'),
    path('detailjadwal/', views.DetailJadwal, name='DetailJadwal'),
    path('detailjadwal/<int:pk>', views.sched_delete, name = 'delete'),
    path('Jadwal/', views.Join , name = 'Jadwal')
    # dilanjutkan ...
]

story4/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import include;

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('homepage.urls')),
    path('',include('formulir.urls')),
    path('',include('story7.urls')),
    path('',include('story8.urls')),
    path('',include('story9.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.
class Jadwal(models.Model):
    Matkul = models.TextField(max_length = 50)
    Dosen = models.TextField(max_length = 50)
    SKS = models.TextField(max_length = 50)
    Deskripsi = models.TextField(max_length = 50)
    Semester = models.TextField(max_length = 50)
    Ruang = models.TextField(max_length = 50)

homepage/forms.py
from django import forms

class JadwalForm(forms.Form):

    Matkul = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'required': True
    }))

    Dosen = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'required': True
    }))

    SKS = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'required': True
    }))

    Deskripsi = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'required': True
    }))

    Semester = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'required': True
    }))

    Ruang = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control',
        'type': 'text',
        'required': True
    }))

homepage/views.py
from django.shortcuts import render, redirect
from .models import Jadwal as jadwal
from .forms import JadwalForm

# Create your views here.
def Story3(request):
    return render(request,'Story3.html')

def kenaldekat(request):
    return render(request,'kenaldekat.html')

def halskill(request):
    return render(request,'halskill.html')

def halrp(request):
    return render(request,'halrp.html')

def halhobi(request):
    return render(request,'halhobi.html')

def halpengalaman(request):
    return render(request,'halpengalaman.html')

def halkontak(request):
    return render(request,'halkontak.html')

def DetailJadwal(request):
    data = jadwal.objects.all()
    return render(request,'DetailJadwal.html' , {"sched" : data})

def Join(request):
    if request.method == "POST":
        form = JadwalForm(request.POST)
        if form.is_valid():
            sched = jadwal()
            sched.Matkul = form.cleaned_data['Matkul']
            sched.Dosen = form.cleaned_data['Dosen']
            sched.SKS = form.cleaned_data['SKS']
            sched.Deskripsi = form.cleaned_data['Deskripsi']
            sched.Semester = form.cleaned_data['Semester']
            sched.Ruang = form.cleaned_data['Ruang']
            sched.save()
            return redirect('/detailjadwal')
    else :
        sched = jadwal.objects.all()
        form = JadwalForm()
        response = {"sched":sched, 'form': form}
        return render(request,'Schedule.html',response)

def sched_delete(request, pk):
    if request.method =="POST":
        form = JadwalForm(request.POST)
        if form.is_valid():
            sched = jadwal()
            sched.Matkul = form.cleaned_data['Matkul']
            sched.Dosen = form.cleaned_data['Dosen']
            sched.SKS = form.cleaned_data['SKS']
            sched.Deskripsi = form.cleaned_data['Deskripsi']
            sched.Semester = form.cleaned_data['Semester']
            sched.Ruang = form.cleaned_data['Ruang']
            sched.save()
            return redirect('/Jadwal')
    else :
        jadwal.objects.filter(pk=pk).delete()
        data = jadwal.objects.all()
        form = JadwalForm()
        response = {"sched" : data, 'form' : form}
        return render(request,'DetailJadwal.html',response)

homepage/templates/DetailJadwal.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
    <body>
    {% block content %}
        <table class='table'>
            <thead>
                <tr>
                <th scope="col">Mata Kuliah</th>
                <th scope="col">Dosen</th>
                <th scope="col">Jumlah SKS</th>
                <th scope="col">Deskripsi</th>
                <th scope="col">Semester Pengambilan</th>
                <th scope="col">Ruangan</th>
                <th scope="col">Delete</th>
                </tr>
            </thead>
            <tbody>
                {% if sched %}
                    {% for jadwal in sched %}
                        <tr>
                        <th scope="row">{{jadwal.Matkul}}</th>
                        <td>{{jadwal.Dosen}}</td>
                        <td>{{jadwal.SKS}}</td>
                        <td>{{jadwal.Deskripsi}}</td>
                        <td>{{jadwal.Semester}}</td>
                        <td>{{jadwal.Ruang}}</td>
                        <td><a href="{% url 'homepage:delete' pk=jadwal.pk %}"><button class="btn btn-icon btn-danger">Delete</button></a></td>
                        </tr>
                    {% endfor %}
                {% endif %}
            </tbody>
        </table>
    {% endblock content %}
    </body>
</html>

homepage/templates/Schedule.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
        <form action='' method="POST">
            {% csrf_token %}
            {{ form }}
            <div class="centre-items">
                <input type="submit" class="btn btn-primary" value="Tambah Jadwal">
            </div>
        </form>
        
    {% endblock content %}
    </body>
</html>

homepage/templates/Story3.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
    <div class="container">
      <div class="row">
          <div class="col-md-12">
          </div>
      </div>
      <div class="row">
              <div class="col-md-4">
              <p class ="namaAtas">Azhar Rahmatilah</br>
              University of Indonesia</p>
              <img src="{% static 'ajaystory2.jpg' %}" width="280" height="380" style="margin: 0 20px;"></br></br></br>
              </div>
              <div class="col-md-8">
                <div class="perkenalan">
                  <p>
                  Perkenalkan nama saya Azhar Rahmatilah Addzikri atau biasa
                  dipanggil ajay. Status saya sekarang adalah mahasiswa semester 3
                  di jurusan Sistem Informasi Fakultas Ilmu Komputer Universitas Indonesia.
                  </p>
                </div>
              </div>
      </div>
    </div>



    <footer class="footer">Azhar Rahmatilah - 1906318716 </footer>
    {% endblock content %}
    </body>
</html>

homepage/templates/base.html
<!DOCTYPE html>
{% load static %}
<html>
    <head>
        <title>Lebih kenal dengan Azhar</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    </head>
    <body style="background-color: #F1F3EB">
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="#">Azhar Rahmatilah</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
              <div class="navbar-nav">
                <a class="nav-item nav-link" href="{% url 'homepage:Story3' %}">Home</a>
                <a class="nav-item nav-link" href="{% url 'homepage:kenaldekat' %}">Kenal Lebih Dekat <span class="sr-only">(current)</span></a>
                <a class="nav-item nav-link" href="{% url 'homepage:halskill' %}">Skill</a>
                <a class="nav-item nav-link" href="{% url 'homepage:halrp' %}">Riwayat Pendidikan</a>
                <a class="nav-item nav-link" href="{% url 'homepage:halhobi' %}">Hobi</a>
                <a class="nav-item nav-link" href="{% url 'homepage:halpengalaman' %}">Pengalaman</a>
                <a class="nav-item nav-link" href="{% url 'homepage:halkontak' %}">Contact</a>
                <a class="nav-item nav-link" href="{% url 'homepage:Jadwal' %}"> Tambah Jadwal</a>
                <a class="nav-item nav-link" href="{% url 'homepage:DetailJadwal' %}">Jadwal</a>
              </div>
            </div>
        </nav>
        {% block content %}
        {% endblock content %}
    </body>
</html>

homepage/templates/halhobi.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
      <div class="container">
        <div class="row">
            <div class="col-md-12">
              <h1 style="text-align: center; margin-top: 40px; font-weight: bold;">Hobi Saya</h1><br /><br />
            </div>
        </div>
        <div class="row">
                <div class="col-md-6">
                <p class="olahraga">Olahraga</p>
                <img src="{% static 'bola1.png' %}" width="200" height="200" style="margin: 0 20px;margin-bottom: 50px;"></br></br></br>
                </div>
                <div class="col-md-6">
                <p class="traveling">Traveling</p>
                <img src="{% static 'traveling1.png' %}" width="200" height="200"style="margin: 0 20px;margin-bottom: 50px;">
                </div>
        </div>
      </div>

      <footer class="footer">Azhar Rahmatilah - 1906318716 </footer>

      {% endblock content %}
    </body>
</html>

homepage/templates/halkontak.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
      <div class="container">
        <div class="row">
            <div class="col-md-12">
              <h1 style="text-align: center; margin-top: 30px; font-weight: bold;">Kontak</h1><br /><br />
            </div>
        </div>
        <div class="row">
                <div class="col-md-4">
                <p class="sosmed">Instagram</p>
                <a href="https://www.instagram.com/azharaddzikri/"><img src="{% static 'instagram logo.png' %}" width="200" height="200" style="margin: 0 80px;margin-bottom: 50px;"></a>
                </div>
                <div class="col-md-4">
                <p class="sosmed">Line</p>
                <a href="http://line.me/ti/p/~azharrahmatilah."><img src="{% static 'line1.png' %}" width="200" height="200" style="margin: 0 75px;margin-bottom: 50px;"></a>
                </div>
                <div class="col-md-4">
                <p class="sosmed">Whatsapp</p>
                <a href="https://wa.me/6282298028756."><img src="{% static 'whatsapp logo.png' %}" width="200" height="200" style="margin: 0 80px;margin-bottom: 50px;"></a>
                </div>
        </div>
      </div>


      <footer class="footer">Azhar Rahmatilah - 1906318716 </footer>
    {% endblock content %}
    </body>

</html>

homepage/templates/halpengalaman.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
      <div class="container">
        <div class="row">
            <div class="col-md-12">
              <h1 style="text-align: center; margin-top: 40px; font-weight: bold;">Pengalaman Saya</h1><br /><br />
            </div>
        </div>
        <div class="row">
                <div class="col-md-6">
                <p class="futrun">Futsal Runner PERAK 2020</p>
                <img src="{% static 'bola2.png' %}" width="330" height="200" style="margin: 0 20px;margin-bottom: 50px;"></br></br></br>
                </div>
                <div class="col-md-6">
                <p class="pr">Public Relation Walikota Cup 2018</p>
                <img src="{% static 'salaman.png' %}" width="320" height="180" style="margin: 0 20px;margin-bottom: 50px;">
                </div>
        </div>
      </div>

      <footer class="footer">Azhar Rahmatilah - 1906318716 </footer>
    {% endblock content %}
  </body>
</html>

homepage/templates/halrp.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
      <div class="container">
        <div class="row">
            <div class="col-md-12">
              <h1 style="text-align: center; margin-top: 40px; font-weight: bold; position: relative;">Riwayat Pendidikan</h1>
            </div>
        </div>
        <div class="row">
                <div class="col-md-12" style="background-color: #ccb2b2; margin-top: 40px; position: relative; border-radius: 71px;">
                  <table class="pendidikan" style = "width: 80%; margin-top: 50px; margin-bottom: 50px; text-align: center; margin-left: 10%;" border="1">
                  <tr>
                    <td>2007-2013</td>
                    <td>SD Alam Bogor</td>
                  </tr>
                  <tr>
                    <td>2013-2016</td>
                    <td>SMPN 5 Kota Bogor</td>
                  </tr>
                  <tr>
                    <td>2016-2019</td>
                    <td>SMAN 5 Kota Bogor</td>
                  </tr>
                  <tr>
                    <td>2019-sekarang</td>
                    <td>Universitas Indonesia</td>
                  </tr>
          
                </div>
        </div>
      </div>
       
    {% endblock content %}  
    </body>

</html>

homepage/templates/halskill.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
      <div class="container">
        <div class="row">
            <div class="col-md-12">
              <h1 style="text-align: center; margin-top: 30px; font-weight: bold;">Skill</h1>
            </div>
        </div>
        <div class="row"></div>
            <div class="col-md-12" style="background-color: #cfcfcf; border-radius: 70px;">
              <p class="skill">
                - Mampu berkomunikasi dengan baik</br>
                - Mampu bekerja sama dalam tim</br>
                - Mudah beradaptasi</br>
                - Bisa bekerja dalam tekanan</br>
                - Microsoft Excel</p>
            </div>
        </div>

        <footer class="footer">Azhar Rahmatilah - 1906318716 </footer>
    {% endblock content %}
    </body>

</html>

homepage/templates/kenaldekat.html
{% extends 'base.html' %}
{% load static %}

<!DOCTYPE html>
<html>
  <body>
    {% block content %}
      <p class="kenaldekat">Halo semua, perkenalkan nama saya Azhar Rahmatilah Addzikri atau biasa dipanggil ajay. 
          Saya lahir di Bogor tanggal 1 Juni 2001. Sekarang saya merupakan bagian dari angkatan 2019 di Fakultas Ilmu Komputer 
          Universitas Indonesia dan saya mengambil jurusan Sistem Informasi dengan NPM 1906318716. 
          Saya memiliki cita-cita kedepannya untuk bisa menjadi orang yang bermanfaat bagi orang lain. </p>


          <footer class="footer">Azhar Rahmatilah - 1906318716 </footer>
    {% endblock content %}
  </body>

</html>